iotoms Docs

List commission plan assignments

GET
/api/v1/commission/assignments

Returns who is assigned to which commission plan. Filter by planId or by person with userRef.

Authorization

BearerAuth
headerAuthorizationBearer <JWT>

Query Parameters

planId?string

Optional. Only return assignments on this commission plan. When both planId and userRef are sent, only planId is used.

Formatuuid
userRef?string

Optional. Only return assignments for this salesperson's username, latest start date first. Ignored when planId is also sent.

Header Parameters

X-TenantID*string

Your merchant's tenant code — the value typed in the Domain field on the iotoms login screen. See Concepts.

Response Body

OK

*/*
  1. response
status*string

Outcome of the request: SUCCESS when it worked; errors return an error status with the reason in message.

message*string

Short human-readable message describing the outcome.

data?array<>|

The plan assignments that match the filters.

Example Request
curl -X GET 'https://beta.iotoms.com/api/v1/commission/assignments' \  -H 'X-TenantID: your-tenant-code'
Example Response
{  "status": "string",  "message": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "planId": "b3f60ba2-c1fd-4b3a-a23d-8e876e0ef75d",      "planName": "string",      "userRef": "string",      "rateOverrideBp": 0,      "effectiveRateBp": 0,      "effectiveFrom": "2019-08-24",      "effectiveTo": "2019-08-24",      "active": true    }  ]}